VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisimBox.Physics.PhysMaterial Class Reference

List of all members.

## Public Member Functions
| PhysMaterial ()
| PhysMaterial (float dynafr, float statfr, float rest)
| PhysMaterial (XmlReader reader)
| PhysMaterial (PhysMaterial mat)
System.Xml.Schema.XmlSchema | GetSchema ()
| Reqired by IXMLserializable.
void | ReadXml (XmlReader reader)
| Deserializes object from XML.
void | WriteXml (XmlWriter writer)
| Serializes object to XML.
void | WriteXml (XmlWriter writer, string RootNode)
## Properties
float | DynamicFriction`[get, set]`
| Dynamic friction of the material (when object moves)
float | StaticFriction`[get, set]`
| Static friction of the material (when object rests on another)
float | Restitution`[get, set]`
| Restitution - bouncines of the material.

## Constructor & Destructor Documentation

VisimBox.Physics.PhysMaterial.PhysMaterial | ( |  | ) |

VisimBox.Physics.PhysMaterial.PhysMaterial | ( | float | dynafr,
|  | float | statfr,
|  | float | rest
| ) |  |

VisimBox.Physics.PhysMaterial.PhysMaterial | ( | XmlReader | reader | ) |

VisimBox.Physics.PhysMaterial.PhysMaterial | ( | PhysMaterial | mat | ) |

## Member Function Documentation

System.Xml.Schema.XmlSchema VisimBox.Physics.PhysMaterial.GetSchema | ( |  | ) |

Reqired by IXMLserializable.

Returns:
  Null

void VisimBox.Physics.PhysMaterial.ReadXml | ( | XmlReader | reader | ) |

Deserializes object from XML.

Parameters:

  reader | XML reader

void VisimBox.Physics.PhysMaterial.WriteXml | ( | XmlWriter | writer | ) |

Serializes object to XML.

Parameters:

  writer | XML writer to save values

void VisimBox.Physics.PhysMaterial.WriteXml | ( | XmlWriter | writer,
|  | string | RootNode
| ) |  |

## Property Documentation

float VisimBox.Physics.PhysMaterial.DynamicFriction`[get, set]`

Dynamic friction of the material (when object moves)

float VisimBox.Physics.PhysMaterial.Restitution`[get, set]`

Restitution - bouncines of the material.

float VisimBox.Physics.PhysMaterial.StaticFriction`[get, set]`

Static friction of the material (when object rests on another)

The documentation for this class was generated from the following file:

- PhysMaterial.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events